using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ProjetDotNet.Transformation
{
    public class Homothetie : Transformation
    {
        public Homothetie(metier.Forme f) : base(f)
        {
           
        }

        public override metier.Forme AppliquerTransforation(metier.PointForme p1, metier.PointForme p2)
        {
            double rapport = (p2.X - p1.X) / 50;   /* metier.PointForme.Distance(p2, formeCourant.Centre())*/
            return formeCourant.Homothetie(p1, rapport);
        }
    
    }
}
